This crate requires a nightly (unstable, experimental) compiler version. To switch to it, you must have Rust installed via Rustup, and run:

rustup default nightly

Run rustup default stable to switch back.

Adding hermit_abi library as a dependency

If you have cargo-edit installed, run this command in a terminal, in your project's directory:

cargo add hermit-abi

To add it manually, edit your project's Cargo.toml file and add to the [dependencies] section:

hermit-abi = "0.1.7"

The hermit_abi library will automatically available globally.

Back to the crate overview.